Bug 120802 - emu10k1 sound not working
emu10k1 sound not working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 20:18 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 11:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-13 20:18:39 EDT
Description of problem:

policy = 1.11.1-2

SB Live! with emu10k1 driver.

OK, I ran relabel and got the drivers to load and
system-config-soundcard works if run under root.  But, sound for a
regular user does not work unless running enforcing=0

I get the following:

Apr 13 19:51:32 chaos kernel: audit(1081900292.824:0): avc:  granted 
{ setenforce } for  pid=2948 exe=/usr/bin/setenforce
scontext=root:sysadm_r:sysadm_t tcontext=system_u:object_r:security_t
tclass=security
Apr 13 19:51:39 chaos kernel: audit(1081900299.674:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.690:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.705:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.720:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.735:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.750:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:39 chaos kernel: audit(1081900299.765:0): avc:  denied  {
read } for  pid=2630 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=701781 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 19:51:48 chaos kernel: audit(1081900308.490:0): avc:  granted 
{ setenforce } for  pid=2954 exe=/usr/bin/setenforce
scontext=root:sysadm_r:sysadm_t tcontext=system_u:object_r:security_t
tclass=security
 
 
 
After "relabel"
 
gnome-volume-control as user:
 
Apr 13 20:17:54 chaos kernel: audit(1081901874.286:0): avc:  denied  {
read } for  pid=3439 exe=/usr/bin/gnome-volume-control name=controlC0
dev=hda7 ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:17:54 chaos kernel: audit(1081901874.286:0): avc:  denied  {
read write } for  pid=3439 exe=/usr/bin/gnome-volume-control
name=controlC0 dev=hda7 ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:17:54 chaos kernel: audit(1081901874.286:0): avc:  denied  {
read } for  pid=3439 exe=/usr/bin/gnome-volume-control name=controlC0
dev=hda7 ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:17:54 chaos kernel: audit(1081901874.286:0): avc:  denied  {
read write } for  pid=3439 exe=/usr/bin/gnome-volume-control
name=controlC0 dev=hda7 ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:17:54 chaos kernel: audit(1081901874.305:0): avc:  denied  {
getattr } for  pid=3439 exe=/usr/bin/gnome-volume-control
path=/dev/dsp dev=hda7 ino=681111 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:17:54 chaos kernel: audit(1081901874.470:0): avc:  denied  {
read } for  pid=3445 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
 
get esd to do something ... ???
 
 
Apr 13 20:19:11 chaos kernel: audit(1081901951.076:0): avc:  denied  {
read } for  pid=3465 exe=/usr/bin/esd name=controlC0 dev=hda7
ino=703065 scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr 13 20:19:11 chaos kernel: audit(1081901951.505:0): avc:  denied  {
name_bind } for  pid=3118 exe=/usr/bin/nautilus
scontext=czarcing:staff_r:staff_t
tcontext=system_u:object_r:spamd_port_t tclass=tcp_socket
Comment 1 Daniel Walsh 2004-04-13 22:21:30 EDT
The problem is that controlC0 is marked incorrectly it should be
sound_device_t instead of device_t

udev  is causing the problem.

Dan
Comment 2 Gene Czarcinski 2004-04-14 11:36:32 EDT
udev update applied and this works now ... closing

Note You need to log in before you can comment on or make changes to this bug.